# Návod na flashování zkompilovaných ukázek

## STM32F072RB
Pro tento mikrokontrolér byla zkompilována ukázka `stm32_example.bin`.
Pro její upload byl při testování použit program STM32CubeProgrammer, který umí uploadovat více způsoby.
Při testování byl použit ST-Link na Nucleo-F072RB.
Program posílá animaci prolínání barev na výstup B2.


## ESP8266
Pro ESP8266 byly zkompilovány 2 programy.
Oba je výhodné flashovat pomocí `esptool.py`, který se pomocí manageru `pip`
nainstaluje následovně:

`pip install esptool`

Pro nastavení vlastní sítě u obou příkladů stačí přivést úroveň HIGH na vstup GPIO 4 a ESP8266 restartovat.

### Příkladový program
Tento program je ukázkou komunikace s LinkyAPI. Stahuje obrazová data, zpracovává je 
a posléze vypisuje uživateli na sériový terminál pomocí UART. 
Příkaz pro jeho upload je následovný (možná bude zapotřebí změnit některé údaje, přinejmenším port COM5 vyměnit za správný v danou chvíli).

```

esptool.py -p COM5 -b 115200 --after hard_reset write_flash --flash_mode dio --flash_size 2MB --flash_freq 40m 0x0 networking_example_bootloader.bin 0x8000 networking_example_partition-table.bin 0x10000 networking_example.bin

```

### Měřící program
Tento program měří a zobrazuje různé údaje, opět na sériový terminál. Údaje jsou popsané, vždy se jedná o měření času dané úlohy.

Příkaz pro jeho upload je následovný (možná bude zapotřebí změnit některé údaje, přinejmenším port COM5 vyměnit za správný v danou chvíli).

```

esptool.py -p COM5 -b 115200 --after hard_reset write_flash --flash_mode dio --flash_size 2MB --flash_freq 40m 0x0 networking_speedtest_bootloader.bin 0x8000 networking_speedtest_partition-table.bin 0x10000 networking_speedtest.bin

```

## Arduino
Pro arduino nebyly zkompilovány žádné binární soubory, pro jeho vyzkoušení je třeba stáhnout přímo zdrojový kód a kompilovat např. pomocí Arduino IDE.
Nachází se v příloze s celým projektem (muzatmat_BP2021_projekt.zip).